package com.kmall.admin.dao;

import com.kmall.admin.entity.UserCampMinusEntity;
import com.kmall.manager.dao.BaseDao;
import org.apache.ibatis.annotations.Param;

/**
 * 用户满减满折表Dao
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-06-13 15:19:58
 */
public interface UserCampMinusDao extends BaseDao<UserCampMinusEntity> {
    UserCampMinusEntity queryUserCampByOrderId(@Param("orderId") Long orderId);

    int cancelUserCampOrder(UserCampMinusEntity vo);

    UserCampMinusEntity queryCampByStoreTopicId(@Param("storeTopicId") Long storeTopicId);
}
